Module tdlight.api
Package it.tdlight.jni

# Class TdApi.GetSuggestedFileName

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.Text>
it.tdlight.jni.TdApi.GetSuggestedFileName

Enclosing class:
  TdApi

public static final class TdApi.GetSuggestedFileName extends TdApi.Function<TdApi.Text>
Returns suggested name for saving a file in a given directory.

Returns `Text`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`String`
`directory`
Directory in which the file is supposed to be saved.
`int`
`fileId`
Identifier of the file.

## Constructor Summary

Constructors
Constructor
Description
`GetSuggestedFileName()`
Returns suggested name for saving a file in a given directory.
`GetSuggestedFileName(int fileId, String directory)`
Returns suggested name for saving a file in a given directory.
`GetSuggestedFileName(DataInput input)`
Returns suggested name for saving a file in a given directory.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### fileId

public int fileId
Identifier of the file.

### directory

public String directory
Directory in which the file is supposed to be saved.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### GetSuggestedFileName

public GetSuggestedFileName()
Returns suggested name for saving a file in a given directory.

Returns `Text`

### GetSuggestedFileName

public GetSuggestedFileName(int fileId, String directory)
Returns suggested name for saving a file in a given directory.

Returns `Text`

Parameters:
  `fileId` - int Identifier of the file.
  `directory` - String Directory in which the file is supposed to be saved.

### GetSuggestedFileName

public GetSuggestedFileName(DataInput input) throws IOException
Returns suggested name for saving a file in a given directory.

Returns `Text`

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`